%% Copyright (c) Rodolà Emanuele - rodola@in.tum.de 
%  SHREC2016 - Partial Matching Of Deformable Shapes
%  http://www.dais.unive.it/~shrec2016/

function t_new = add_split_tri(R, nn, t)
    if (nn * cross(R.VERT(t(2),:)-R.VERT(t(1),:), R.VERT(t(3),:)-R.VERT(t(1),:))') > 0
        t_new = t;
    elseif (nn * cross(R.VERT(t(1),:)-R.VERT(t(2),:), R.VERT(t(3),:)-R.VERT(t(2),:))') > 0
        t_new = [t(2) t(1) t(3)];
%         fprintf('swapped\n')
    else
        error('Cannot find consistent orientation')
    end
end
